UrlCreatorCache.ReverseMappingKey (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class UrlCreatorCache.ReverseMappingKey

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlCreatorCache.ReverseMappingKey

    public static class UrlCreatorCache.ReverseMappingKey

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `controller`
`protected java.lang.String` | `httpMethod`
`protected java.lang.String` | `namespace`
`protected java.lang.String[]` | `paramKeys`
`protected java.lang.String[]` | `paramValues`
`protected java.lang.String` | `pluginName`

Constructor Summary
`UrlCreatorCache.ReverseMappingKey(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`int` | `weight()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### action

    protected final java.lang.String action

### controller

    protected final java.lang.String controller

### httpMethod

    protected final java.lang.String httpMethod

### namespace

    protected final java.lang.String namespace

### paramKeys

    protected final java.lang.String[] paramKeys

### paramValues

    protected final java.lang.String[] paramValues

### pluginName

    protected final java.lang.String pluginName

Constructor Detail

### UrlCreatorCache.ReverseMappingKey

    public UrlCreatorCache.ReverseMappingKey(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)

Method Detail

### equals

    @java.lang.Overridepublic boolean equals(Object obj) {
    public boolean equals(java.lang.Object obj)

### hashCode

    @java.lang.Overridepublic int hashCode() {
    public int hashCode()

### toString

    @java.lang.Overridepublic String toString() {
    public java.lang.String toString()

### weight

    public int weight()

Groovy Documentation